% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}
\definecolor{color2}{rgb}{0.46078431372549,0.749019607843137,0.443137254901961}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
tick align=outside,
tick pos=left,
title={LeNet-MNIST-W-int8-A-int8},
width=312.0pt,
x grid style={white!80!black},
xlabel={Relative Latency of the Layer},
xmajorgrids,
xmin=0, xmax=0.516628590078329,
xtick style={color=white!15!black},
xtick={0,0.1,0.2,0.3,0.4,0.5,0.6},
xticklabels={0.0,0.1,0.2,0.3,0.4,0.5,0.6},
y dir=reverse,
y grid style={white!80!black},
ylabel={Layer},
ymin=-0.5, ymax=10.5,
ytick style={color=white!15!black},
ytick={0,1,2,3,4,5,6,7,8,9,10},
yticklabels={0\_QUANTIZE,1\_CONV\_2D,2\_AVERAGE\_POOL\_2D,3\_CONV\_2D,4\_AVERAGE\_POOL\_2D,5\_RESHAPE,6\_FULLY\_CONNECTED,7\_FULLY\_CONNECTED,8\_FULLY\_CONNECTED,9\_SOFTMAX,10\_DEQUANTIZE}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:0.0144843174288634,-0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{F4}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:0.480168436696907,0.866666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:0.0625507013035266,1.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:0.318463015140725,2.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,3.6) rectangle (axis cs:0.0215871443168096,3.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,4.6) rectangle (axis cs:0.00291048704214014,4.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,5.6) rectangle (axis cs:0.0775985385639533,5.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,6.6) rectangle (axis cs:0.016193454500418,6.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,7.6) rectangle (axis cs:0.00241508499241416,7.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,8.6) rectangle (axis cs:0.00308387775954423,8.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,9.6) rectangle (axis cs:0.000544942254698579,9.86666666666667);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-0.133333333333333) rectangle (axis cs:0.0116134949555043,0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{F7}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,0.866666666666667) rectangle (axis cs:0.491162836816142,1.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1.86666666666667) rectangle (axis cs:0.0640291514836023,2.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2.86666666666667) rectangle (axis cs:0.307020153194021,3.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,3.86666666666667) rectangle (axis cs:0.0233261446171389,4.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,4.86666666666667) rectangle (axis cs:0.00221858654966411,5.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,5.86666666666667) rectangle (axis cs:0.0794724969633871,6.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,6.86666666666667) rectangle (axis cs:0.015319402097122,7.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,7.86666666666667) rectangle (axis cs:0.00218140353486527,8.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,8.86666666666667) rectangle (axis cs:0.00316055625790139,9.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,9.86666666666667) rectangle (axis cs:0.000495773530651198,10.1333333333333);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,0.133333333333333) rectangle (axis cs:0.0143493428703074,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color2,line width=0.32pt};
\addlegendentry{L4}

\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,1.13333333333333) rectangle (axis cs:0.492027228646028,1.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,2.13333333333333) rectangle (axis cs:0.0557134080786362,2.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,3.13333333333333) rectangle (axis cs:0.305592733176822,3.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,4.13333333333333) rectangle (axis cs:0.0196727516071703,4.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,5.13333333333333) rectangle (axis cs:0.00230379358009522,5.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,6.13333333333333) rectangle (axis cs:0.0814171621651271,6.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,7.13333333333333) rectangle (axis cs:0.0211729600456371,7.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,8.13333333333333) rectangle (axis cs:0.00271244267942164,8.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,9.13333333333333) rectangle (axis cs:0.00444577308730281,9.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,10.1333333333333) rectangle (axis cs:0.000592404063453058,10.4);
\addplot [line width=0.864pt, white!26!black]
table {%
nan -0.266666666666667
nan -0.266666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.733333333333333
nan 0.733333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.73333333333333
nan 1.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.73333333333333
nan 2.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 3.73333333333333
nan 3.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 4.73333333333333
nan 4.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 5.73333333333333
nan 5.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 6.73333333333333
nan 6.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 7.73333333333333
nan 7.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 8.73333333333333
nan 8.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 9.73333333333333
nan 9.73333333333333
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0
nan 0
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1
nan 1
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2
nan 2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 3
nan 3
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 4
nan 4
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 5
nan 5
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 6
nan 6
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 7
nan 7
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 8
nan 8
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 9
nan 9
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 10
nan 10
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.266666666666667
nan 0.266666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.26666666666667
nan 1.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.26666666666667
nan 2.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 3.26666666666667
nan 3.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 4.26666666666667
nan 4.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 5.26666666666667
nan 5.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 6.26666666666667
nan 6.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 7.26666666666667
nan 7.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 8.26666666666667
nan 8.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 9.26666666666667
nan 9.26666666666667
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 10.2666666666667
nan 10.2666666666667
};
\end{axis}

\end{tikzpicture}
